Advertisement:

Author Topic: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5  (Read 2206 times)

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #40 on: January 17, 2019, 06:06:27 PM »
The language setting is in the db, and will carry over from 1.1 to 2.0, but if the language isn't installed it reverts to english.  Are the german files in /Themes/default/languages?

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #41 on: January 17, 2019, 06:15:59 PM »
yes they are.

I just try the 10th new installation right now...

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #42 on: January 17, 2019, 06:27:51 PM »
If you can't get it to work, revert back to a clean 1.1 install with the original database, get it up and running, and start over.  Going offline shortly, if you need further assistance pm cpanel access (url/user/pw) and I'll have a look tomorrow.


Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #43 on: January 17, 2019, 06:33:56 PM »
I have a 1.1.14 still running under backstage-wrestling.de (this board is online), I´m working on my testsystem at bwf.dirklather.de

I made a clean install 2.0.15 with german UFT 8 and it looks good. SQL5 is on UFT 8 as well.

I really think it crashes when BigDump imports the old DB and converts it from SQL 4 to 5.

Thanks for your help, I can pm you what you need (FTP-Access? Board-Access ? I will try to import the DB again now...)
« Last Edit: January 17, 2019, 06:44:26 PM by trth »

Offline Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 57,639
  • Gender: Male
    • Kindred-999 on GitHub
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #44 on: January 19, 2019, 11:53:02 AM »
you do realize that the LANGUAGE files also updated for 2.0.x?   You can not use the 1.1.x language files, just like you can not use the 1.1.x themes
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #45 on: January 19, 2019, 06:10:08 PM »
you do realize that the LANGUAGE files also updated for 2.0.x?   You can not use the 1.1.x language files, just like you can not use the 1.1.x themes

Sure - I installed the new ones (SMF language file for 2.0.15). As I said - the test system is not an Update from 1.1.14 but a complete clear board. Here I wanted to check how I can manage the import of the SQL-4-to-5 DB. And there of course are the new language files installed.

BUT - as I said - after the BigDump-Import the language crashes and can not be chosen anymore (though it´s installed). So there might be something in the DB as well.

Just another thought - maybe the jump from 1.1.13 to 2.0.15 is too huge and the wiser way would be to go to 2.0.1 and then upgrade from step to step?

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #46 on: January 19, 2019, 11:52:53 PM »
Ok, patched you up to 1.1.21, upgraded to 2.0.15.  Upgrade ran fine, just a few server timeouts.  Forum is running, fixed a couple of odds and sods.  You tinkered with some things you shouldn't have. 

Can't get into admin -

Code: [Select]

Unknown system variable 'version_comment'
File: /kunden/212587_63762/webseiten/Sources/Subs-Admin.php
Line: 80


version_comment appears only in DbExtra-mysql.php.  Not a clue what this is, working on it. >:(

Code: [Select]

function smf_db_get_engine()
{
global $smcFunc;
static $db_type;

if (!empty($db_type))
return $db_type;

$request = $smcFunc['db_query']('', 'SELECT @@version_comment');
list ($comment) = $smcFunc['db_fetch_row']($request);
$smcFunc['db_free_result']($request);



Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #47 on: January 20, 2019, 01:51:06 AM »
Left you running in 2.0.15.  Hacked around version_comment error, admin access works.  Language is german utf-8, special characters are displayed correctly.  Check everything..  Be back online tomorrow.

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #48 on: January 20, 2019, 02:32:43 AM »
what the... omg....

I´m speechless... that´s fantastic.... thank you so much... I owe you something!  :-*

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #49 on: January 20, 2019, 04:19:23 AM »
Some questions...

- saving the log-in won´t work with some users (doens´t work for me as well) -> is this a problem of the board?
- I´d like to use the old Yabb Theme (https://custom.simplemachines.org/themes/index.php?lemma=2603), but it´s not compatible. I mean it works - but the graphics are not there in the "Home - Help-Search and-so-on" bar. Is there a way?
- the "new" Button is missing in every theme I use... try to figure out where I can find it und where I have to save it -> fixed. I had to rename "german-uft8" to "german" in /webseiten/Themes/default/images/

I´m still sitting here being thankful  :-* :)
« Last Edit: January 20, 2019, 04:54:42 AM by trth »

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #50 on: January 20, 2019, 05:32:42 AM »
Some questions...

- saving the log-in won´t work with some users (doens´t work for me as well) -> is this a problem of the board?
- I´d like to use the old Yabb Theme (https://custom.simplemachines.org/themes/index.php?lemma=2603), but it´s not compatible. I mean it works - but the graphics are not there in the "Home - Help-Search and-so-on" bar. Is there a way? - > fixed
- the "new" Button is missing in every theme I use... try to figure out where I can find it und where I have to save it -> fixed. I had to rename "german-uft8" to "german" in /webseiten/Themes/default/images/

I´m still sitting here being thankful  :-* :)

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #51 on: January 20, 2019, 06:40:08 AM »
as I can´t edit my postings I have to write a third one, sorry.

I almost died a few minutes ago cause I deleted the SQL 4 DB - thinking the board would be running on SQL 5 now. Good for me - I made a backup 10 seconds before so I was save and could restore everything  :D

One of my major problems - and reason why I wanted to update - is the fact that my provider ends support for SQL 4 at the end of February. How can I move the data now to an SQL 5 DB? Would it be enough to bigdump the data in a SQL 5 DB and connect this to the board?

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #52 on: January 20, 2019, 03:29:18 PM »
Just got on, will do some cleaning up, but forum seems to be running ok.  Your original 1.1.14 install is in /webseiten_sav, I have local backup, and also db dump.  Did the upgrade twice, first time ran into problems with utf-8 conversion, login not sticking, and german language not working in acp.  Reloaded sql dump with BigDump (works good), had to hack new admin account (Krash - account you set up is not in dump), patched from 1.1.14 -> 1.1.21, upgraded to 2.0.15, reinstalled german utf-8 language pack, manually set all tables to utf8_general_ci. 

Several things:

- I've commented out the version_comment query in DbExtra-mysql.php, it causes an error that prevents access to acp.  Probably not a good idea to leave it that way, will try to get back to it and see if I can determine the cause.

Code: [Select]

function smf_db_get_engine()
{
global $smcFunc;
static $db_type;

if (!empty($db_type))
return $db_type;

/* $request = $smcFunc['db_query']('', 'SELECT @@version_comment');
list ($comment) = $smcFunc['db_fetch_row']($request);
$smcFunc['db_free_result']($request);
*/
// Skip these if we don't have a comment


- Database is at 2.0.15, should run fine in SQL 4 or 5.  You should upgrade php to 5.6 min / 7.1 max.  I run everything in 5.6.

- I'm not seeing the login problem today.

- You should be able to use Yabb Classic 2.0, it's updated to 2.0.  I'll try it.

- new.gif is missing because you renamed the language directory.  It's in /Themes/default/languages/images/german/, should be /Themes/default/languages/images/german-utf8/.  Why did you rename the directory?


Installed Yabb theme, fixed login and copied new.gif from Curve.  It's running. :P
« Last Edit: January 20, 2019, 03:52:51 PM by Sir Osis of Liver »

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #53 on: January 20, 2019, 03:53:12 PM »
Several things:

- I've commented out the version_comment query in DbExtra-mysql.php, it causes an error that prevents access to acp.  Probably not a good idea to leave it that way, will try to get back to it and see if I can determine the cause.

Code: [Select]

function smf_db_get_engine()
{
global $smcFunc;
static $db_type;

if (!empty($db_type))
return $db_type;

/* $request = $smcFunc['db_query']('', 'SELECT @@version_comment');
list ($comment) = $smcFunc['db_fetch_row']($request);
$smcFunc['db_free_result']($request);
*/
// Skip these if we don't have a comment


I don´t know what this is about - I wasn´t the first administrator of this board, I took over the responsibility when our first administrator left the project. As long as everything was running more or less smooth this was no problem...

- Database is at 2.0.15, should run fine in SQL 4 or 5.  You should upgrade php to 5.6 min / 7.1 max.  I run everything in 5.6.

I will do so after you told me everything is ok and fine. php is now at 7.028 STABLE. I will then make a new dumb from SQL 4, bigdumb it into SQL 5 and connect this new database to the board. If anything fails I will be fine with the backup - but I guess I can do that.

- I'm not seeing the login problem today.

I still have - I say "always stay logged in" and it won´t work. Everytime I reload the page I have to log in again (though my credentials are saved in the browser). More Users complain about that

- You should be able to use Yabb Classic 2.0, it's updated to 2.0.  I'll try it.

It does - I can see it right now  :) Welcome to our board - nice to see you there  :-*

- new.gif is missing because you renamed the language directory.  It's in /Themes/default/languages/images/german/, should be /Themes/default/languages/images/german-utf8/.  Why did you rename the directory?

As I said before - I renamed it because in every theme the button was missing. By renaming the directory it worked  O:) I´m a bit too pragmatic sometimes I gues...
« Last Edit: January 20, 2019, 04:03:49 PM by trth »

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #54 on: January 20, 2019, 04:06:20 PM »
The version_comment error is nothing to do with anything an admin did.  May be due to database running in SQL 4.  Don't think you need to export/import the db into SQL 5, should run as is.  You may have corrupt cookie.  I've changed cookie name, that will log everyone out and set new cookie for all users.

If you haven't already, backup 2.0.15 database before you make any more changes.

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #55 on: January 20, 2019, 04:08:47 PM »
The version_comment error is nothing to do with anything an admin did.

Good to read that this was not my fault  ;D

May be due to database running in SQL 4.  Don't think you need to export/import the db into SQL 5, should run as is.

My provider kills all SQL 4 Databases in February / March. I HAVE to switch...

You may have corrupt cookie.  I've changed cookie name, that will log everyone out and set new cookie for all users.

I will give it a try, thank you so much for that. Doesn´t help:

Login is picture 1, then I close IE / Edge / FF and go to the board again - picture 2.


If you haven't already, backup 2.0.15 database before you make any more changes.

I will backup the DB in a few minutes

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #56 on: January 20, 2019, 04:15:12 PM »
You should be able to export SQL 4 database and import to SQL 5, just don't know if it's necessary.  I've removed the smf113_ tables.


Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #57 on: January 20, 2019, 04:25:22 PM »
You should be able to export SQL 4 database and import to SQL 5, just don't know if it's necessary.  I've removed the smf113_ tables.

I´m just starting that and try to re-connect then in the board.

It worked - I´m on SQL5 now  :)

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 8,530
  • Riding the endless highway in the sky.
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #58 on: January 20, 2019, 04:55:04 PM »
Ok, I've reverted DbExtra-mysql.php to core code, admin is working without the hack.  Sometimes takes two tries to login, otherwise looks good. 

Offline trth

  • Semi-Newbie
  • *
  • Posts: 38
Re: Switch from 1.1.21 to 2.0.15 with Upgrade from SQL 4 to SQL 5
« Reply #59 on: January 20, 2019, 04:57:13 PM »
cool  8)

So there´s only one point remaining - that the login is not saved  :-\